*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --button-size: 8rem;

  @media (max-width: 700px) {
    --button-size: 5.5rem;
  }
}

body {
  margin: 0;
  height: 100dvh;
  height: 100vh;

  overflow: hidden;

  font-family:
    system-ui,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    Oxygen,
    Ubuntu,
    Cantarell,
    "Open Sans",
    "Helvetica Neue",
    sans-serif;

  background-image: url("/assets/background-image.jpg");
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  backdrop-filter: blur(8px) saturate(120%) contrast(90%) brightness(90%);

  display: grid;
  grid-template-rows: auto 1fr auto;
  align-items: center;
  justify-items: center;
}

header,
footer {
  padding: 1rem;
  color: white;
}

header {
  font-size: 2rem;
  font-weight: bold;

  padding-block: 3rem;
}

main {
  width: 100%;
  height: 100%;
  max-width: 1100px;
  padding-inline: 50px;

  display: grid;
  align-items: center;

  overflow-y: auto;
}

footer {
  opacity: 0.1;
}

ul {
 --grid-item--min-width: calc(var(--button-size) + 1rem);

  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(var(--grid-item--min-width), 1fr));
  grid-gap: 3rem;

  padding: 1rem;

  justify-items: center;

  list-style: none;
}

.site-button {
  display: grid;
  justify-items: center;
  gap: 0.5rem;

  color: white;
  text-decoration: none;
}

.site-button:hover {
  scale: 1.05;
}

.site-icon {
  width: var(--button-size);
  aspect-ratio: 1 / 1;
  border-radius: 30%;

  box-shadow: 
    0 0 3px rgba(255, 255, 255, 0.3);
}

.site-title {
  text-align: center;
}
